html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}


/*------------------------------------------------*/

/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

span.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
    font-weight: bold;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

/* ----------------------------------------------------  */
/* ----------------------------------------------------  */
/* ----------------------------------------------------  */
/* ----------------------------------------------------  */
/* ----------------------------------------------------  */
/* ----------------------------------------------------  */



body {
    background-image: url(/images/o-handsup.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.xxbody {
    background-image: url(/images/biddy2.png), url(/images/handsup.jpg);
    background-size: auto 300px, cover;
    background-position-y: bottom, center;
    background-repeat: repeat-x, no-repeat;
    background-attachment: fixed, fixed;
}



.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    background-color: white;
    opacity: 0.9;
}

.everything {
    position: absolute;
    top: 0;
    width: 100%;
    min-height: 100vh;
    padding-bottom: 5em;
}

.jds-main {
    background-color: white;
    padding: 2em;
    border: solid 1px darkslategrey;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, .1);
    border-radius: 1em;
    opacity: 0.9;
    margin-bottom: 120px; /*2em;*/
    width: unset;
    margin: auto;
}

/*
.jds-main::outside {
    content: "xxxxxx";
    height: 155px;
}
*/

.jds-small {
    width: 100%;
    max-width: 512px;
    margin: auto;
}

.jds-medium {
    width: 100%;
    max-width: 1024px;
    margin: auto;
}

.jds-large {
    width: 100%;
}

.rotary {
    opacity: 0.8;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    /*    background: url(/images/rotary.png) no-repeat fixed,url(/images/rotary.png) no-repeat fixed;
    background-position: top 80px left 20px, bottom 80px right 20px;
    background-size: 15vw, 15vw; 
*/
}

.bg-logo {
    /*    background-image: url(/images/rotary.png)   ;
    background-repeat: no-repeat;
    background-position: bottom 20px right 20px;
    background-size: 200px;*/
}

.hero {
    opacity: 0.7;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: white;
}


/*.hero {
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .hero::before {
        content: "";
        position: absolute;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: 0px;
        background-color: #F8F8F8;
        opacity: 0.4;
    }*/


.bid-photos {
    display: block;
    position: relative;
    width: 100%;
    text-align: center;
}


.bid-photo {
    vertical-align: top;
    display: inline-block;
    position: relative;
    width: 12em;
    height: 12em;
    margin: 0.5em;
    border: solid gray 1px;
    border-radius: 1em;
    background-color: lightblue;
    background-size: cover;
    background-position: center center;
}


.home-index-prizes {
    display: block;
    position: relative;
    width: 100%;
    text-align: center;
}

.home-index-prize {
    vertical-align: top;
    display: inline-block;
    position: relative;
    width: 12em;
    height: 20em;
    padding: 1em;
    margin: 0.5em;
    border: solid gray 1px;
    border-radius: 1em;
}

    .home-index-prize input.btn {
        position: absolute;
        bottom: 0;
        width: 50%;
        left: 25%;
        margin-bottom: .5em;
    }

div.jds-alert {
    display: block;
    width: 100%;
    /*margin: 1em;*/
    padding: 1em;
    border: solid red 2px;
    border-radius: 1em;
    background-color: lightyellow;
    font-weight: bold;
}

div.home-index-photo {
    display: block;
    width: 10em;
    height: 10em;
    margin: auto;
    background-color: lightblue;
    border-radius: 1em;
    background-size: cover;
    background-position: center center;
}

div.upload-photos {
    padding: 1em;
}

div.upload-photo {
    display: inline-block;
    position: relative;
    width: 10em;
    height: 10em;
    margin: 0.25em;
    background-color: lightblue;
    border-radius: 1em;
    background-size: cover;
    background-position: center center;
    border: solid black 1px;
}

input#add-photo {
    display: none;
}

.remove-photo {
    position: absolute;
    width: 2em;
    height: 2em;
    border: solid red 3px;
    border-radius: 1em;
    bottom: 0;
    right: 0;
    background-color: white;
    color: red;
    cursor: pointer;
    margin: 0.25em;
    padding: 0;
    padding-bottom: 0.5em;
    font-weight: bold;
    text-align: center;
}

.zoom-photo {
    position: absolute;
    width: 2em;
    height: 2em;
    border: solid green 3px;
    border-radius: 1em;
    top: 0;
    right: 0;
    background-color: white;
    color: green;
    cursor: zoom-in;
    margin: 0.25em;
    padding: 0;
    padding-bottom: 0.5em;
    /*font-weight: bold;*/
    text-align: center;
}

.move-photo {
    position: absolute;
    width: 2em;
    height: 2em;
    border: solid blue 3px;
    border-radius: 1em;
    bottom: 0;
    left: 0;
    background-color: white;
    color: blue;
    cursor: pointer;
    margin: 0.25em;
    padding: 0;
    padding-bottom: 0.5em;
    /*font-weight: bold;*/
    text-align: center;
}


fieldset {
    border: solid silver 1px;
    border-radius: 0.5em;
    padding: 1em;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 1em;
}

legend {
    width: auto;
    padding-right: 0.5em;
    padding-left: 0.15em;
}

.jds-checkbox-label {
    display: block;
}

.display-none {
    display: none;
}

fieldset.bids {
    position: relative;
    display: inline-block;
}

#zoom-curtain, #zoom-inner {
    display: none;
}

.show-zoom #zoom-curtain {
    display: block;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: grey;
    opacity: 0.5;
    cursor: zoom-out;
}

#zoom-photo {
    cursor: zoom-out;
    display: block;
    position: relative;
    max-height: 90vh;
    max-width: 90vw;
    margin: 0;
    margin: auto;
    padding: 0;
    border: 1px solid black;
    border-radius: 1em;
}

.show-zoom #zoom-inner {
    display: block;
    position: absolute;
    width: unset;
    height: unset;
    /*width: auto;*/
    /*width: 100%;*/
    margin: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#zoom-close i {
    font-size: 200%;
}

#zoom-close {
    font-size: 200%;
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    background-color: white;
    color: green;
    width: 2em;
    height: 2em;
    border: 1px green solid;
    border-radius: 1em;
    margin: 1em;
    padding: 0;
    text-align: center;
    font-weight: bold;
}

.bid-photo {
    cursor: zoom-in;
}


input[data-val-number] {
    max-width: 10em;
}

input[type='datetime-local'], input[type='datetime'] {
    max-width: 16em;
}

.home-index-prize.ended {
    background-color: #e8e8e8;
}

.home-index-prize.outbid {
    background-color: #fff8f8;
    border-color: darkred;
}


.home-index-prize.won {
    background-color: #f8fff8;
    border-color: darkgreen;
}

.home-index-prize.leading {
    background-color: #ffffdd;
    border-color: #999900;
}

.prize-detail-bid.winner {
    font-style: italic;
    font-weight: bold;
}

#PayCurtain {
    position: fixed;
    display: block;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: grey;
    opacity: 0.9;
}

    #PayCurtain.display-none {
        display: none;
    }

#UploadCurtain {
    display: none;
}

body.uploading #UploadCurtain {
    position: fixed;
    display: block;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: grey;
    opacity: 0.9;
    text-align: center;
    line-height: 100vh;
    color: yellow;
    font-size: 10vh;
}

#UploadErrorInner {
    position: relative;
    display: block;
    width: 90%;
    max-width: 400px;
    background-color: white;
    height: 150px;
    margin: auto;
    top: calc(50vh - 75px);
    padding: 2em;
}

#UploadError {
    display: none;
}

body.upload-error #UploadError {
    position: fixed;
    display: block;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: grey;
    opacity: 0.9;
    text-align: center;
    color: red;
}

ul.dropdown-menu {
    padding-top: 0;
    margin-top: -8px;
    margin-left: 6px;
}

.nav-hover:hover {
    background-color: darkslategray;
    color: white !important;
}

td.Attendance-Column,
th.Attendance-Column {
    max-width: 5em;
    min-width: 4em;
    text-align: center;
    padding-left: 0;
    padding-right: 0;
}


select.form-control.Attendance-Column {
    max-width: 5em;
    min-width: 4em;
    text-align: center;
}

/*table.table-striped thead tr,*/
table.table-striped thead th {
    background-color: lightgray;
    color: black;
}

td.error {
    color: darkred;
    font-style: italic;
    font-weight: bold;
}


